varying vec2 		texcoord;
varying vec2 		texcoord1;
varying vec2 		texcoord2;
varying vec2 		texcoord3;
varying vec2 		texcoord4;
varying vec2 		texcoord5;
varying vec2 		texcoord6;
varying vec2 		texcoord7;

uniform sampler2D 	lightTex;
uniform sampler2D 	lensTex;
uniform vec3 		lensColor;
vec4 				color,
					color1,
					color2,
					color3,
					color4,
					color5,
					color6,
					color7;
void main()
{
	color = texture2D(lightTex, texcoord.xy) * texture2D(lensTex, texcoord.xy).r;// * vec4(1.0,0.25,0.0,1.0);
	color1 = texture2D(lightTex, texcoord1.xy) * texture2D(lensTex, texcoord1.xy).r;// * vec4(1.0,0.25,0.0,1.0);
	color2 = texture2D(lightTex, texcoord2.xy) * texture2D(lensTex, texcoord2.xy).r;// * vec4(1.0,0.25,0.0,1.0);
	color3 = texture2D(lightTex, texcoord3.xy) * texture2D(lensTex, texcoord3.xy).r;// * vec4(0.0,0.25,1.0,1.0);
	color4 = texture2D(lightTex, texcoord4.xy) * texture2D(lensTex, texcoord4.xy).r;// * vec4(0.0,0.25,1.0,1.0);
	color5 = texture2D(lightTex, texcoord5.xy) * texture2D(lensTex, texcoord5.xy).r;// * vec4(0.0,0.25,1.0,1.0);
	color6 = texture2D(lightTex, texcoord6.xy) * texture2D(lensTex, texcoord6.xy).r;// * vec4(0.0,1.0,0.25,1.0);
	color7 = texture2D(lightTex, texcoord7.xy) * texture2D(lensTex, texcoord7.xy).r;// * vec4(0.0,1.0,0.25,1.0);

	vec4 res=(color+color1+color2+color3+color4+color5+color6+color7);
	gl_FragColor.xyz = max(vec3(0.0),res.xyz*lensColor);//*lensColor);
}
